# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "smart_proxy_chef"
  s.version = "0.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Marek Hulan"]
  s.date = "2017-01-27"
  s.description = "    Chef support for Foreman Smart-Proxy\n"
  s.email = ["mhulan@redhat.com"]
  s.files = ["Gemfile", "LICENSE", "bundler.d/chef.rb", "lib/smart_proxy_chef.rb", "lib/smart_proxy_chef_plugin/authentication.rb", "lib/smart_proxy_chef_plugin/chef_api.rb", "lib/smart_proxy_chef_plugin/chef_plugin.rb", "lib/smart_proxy_chef_plugin/chef_resource_api.rb", "lib/smart_proxy_chef_plugin/connection_helper.rb", "lib/smart_proxy_chef_plugin/foreman_api.rb", "lib/smart_proxy_chef_plugin/http_config.ru", "lib/smart_proxy_chef_plugin/request.rb", "lib/smart_proxy_chef_plugin/version.rb", "settings.d/chef.yml.example"]
  s.homepage = "https://github.com/theforeman/smart_proxy_chef"
  s.licenses = ["GPLv3"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "Chef support for Foreman Smart-Proxy"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>, ["~> 1.7"])
      s.add_development_dependency(%q<test-unit>, ["~> 2"])
      s.add_development_dependency(%q<mocha>, ["~> 1"])
      s.add_development_dependency(%q<webmock>, ["~> 1"])
      s.add_development_dependency(%q<rack-test>, ["~> 0"])
      s.add_development_dependency(%q<rake>, ["~> 10"])
      s.add_runtime_dependency(%q<chef-api>, [">= 0"])
    else
      s.add_dependency(%q<bundler>, ["~> 1.7"])
      s.add_dependency(%q<test-unit>, ["~> 2"])
      s.add_dependency(%q<mocha>, ["~> 1"])
      s.add_dependency(%q<webmock>, ["~> 1"])
      s.add_dependency(%q<rack-test>, ["~> 0"])
      s.add_dependency(%q<rake>, ["~> 10"])
      s.add_dependency(%q<chef-api>, [">= 0"])
    end
  else
    s.add_dependency(%q<bundler>, ["~> 1.7"])
    s.add_dependency(%q<test-unit>, ["~> 2"])
    s.add_dependency(%q<mocha>, ["~> 1"])
    s.add_dependency(%q<webmock>, ["~> 1"])
    s.add_dependency(%q<rack-test>, ["~> 0"])
    s.add_dependency(%q<rake>, ["~> 10"])
    s.add_dependency(%q<chef-api>, [">= 0"])
  end
end
